2020-06-13  Christian Beier <info@christianbeier.net>

	* NEWS.md: NEWS: update

2020-06-13  Christian Beier <info@christianbeier.net>

	* libvncclient/vncviewer.c: libvncclient: remove unused function

2020-06-13  Christian Beier <info@christianbeier.net>

	* libvncclient/vncviewer.c: libvncclient: make sure password prompt
	is shown on win32

2020-06-10  Christian Beier <info@christianbeier.net>

	* libvncclient/vncviewer.c: libvncclient: don't let cleanup depend
	on libjpeg build support They're not connected to libjpeg.  Closes #424

2020-06-10  Christian Beier <info@christianbeier.net>

	* : Merge pull request #425 from veyon/misc Various minor cleanups and type cast fixes

2020-06-10  Tobias Junghans <tobydox@veyon.io>

	* common/turbojpeg.c: turbojpeg: eliminate dead store

2020-06-10  Tobias Junghans <tobydox@veyon.io>

	* common/turbojpeg.c: turbojpeg: don't store uninitialized value If handle is NULL, tjCompress2() will not modify size and an
	uninitialized stack value would be written to jpegSize.

2020-06-10  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/rfbssl_gnutls.c: libvncserver/rfbssl_gnutls:
	eliminate dead store

2020-06-10  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/tightvnc-filetransfer/handlefiletransferrequest.c: 
	tightvnc-filetransfer: make global vars static

2020-06-10  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/rfbregion.c: libvncserver: remove unused assignments

2020-06-08  Tobias Junghans <tobydox@veyon.io>

	* examples/cursors.c, libvncclient/sasl.c, libvncserver/sockets.c: 
	Minor type cast fixes and cleanups The format string indicates an unsigned integer which generates a
	warning with some compilers when passing a signed int.  Similarly strcpy() takes a signed char pointer.

2020-06-09  Christian Beier <info@christianbeier.net>

	* NEWS.md: NEWS: update

2020-06-08  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #415 from veyon/handle-realloc-failures Handle memory realloc failures

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/corre.c, libvncserver/rre.c, libvncserver/tight.c,
	libvncserver/ultra.c, libvncserver/zlib.c: libvncserver: encodings:
	handle memory realloc failures When realloc() fails, previous pointer values have to be retained to
	avoid leaking memory.

2020-06-03  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #417 from veyon/logic Fix various logical errors

2020-06-03  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #416 from veyon/security Add NULL pointer checks + other minor security improvements

2020-06-01  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt, rfb/rfb.h, rfb/rfbclient.h, {common =>
	rfb}/threading.h: build: make common threading header public Closes #421

2020-06-01  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt, test/includetest.sh: test: add test that checks if
	using installed headers works re #421

2020-05-28  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #418 from veyon/misc Proper return values for examples && alignment fixes in
	libvnc[client|server]

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/sockets.c: libvncserver: sockets: unlock mutex on
	error

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/scale.c: libvncserver: scale: cast to 64 bit before
	shifting Since pixel_value is 64 bit the data type of the shift operand
	should be 64 bit too to prevent integer overflows.

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/rfbserver.c: libvncserver: rfbserver: drop checks
	before free() Also eliminate one free() which will never be called with a non-NULL
	value.

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/translate.c: libvncserver: fix pointer
	aliasing/alignment issue Accessing byte-aligned data through uint16_t pointers can cause
	crashes on some platforms or reduce the performance. Therefore
	ensure a proper stack alignment.

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/tight.c: libvncserver: tight: always free PNG palette If unused (currently not the case due to disabled code), it's NULL
	anyway and free() will do nothing.

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncclient/rfbproto.c: libvncclient: fix pointer
	aliasing/alignment issue Accessing byte-aligned data through uint32_t pointers can cause
	crashes on some platforms or reduce the performance. Therefore
	ensure a proper stack alignment.

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/cursor.c: libvncserver: cursor: enable debugging via
	macro

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncclient/trle.c, libvncclient/zrle.c: libvncclient: fix always
	false/true expressions

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* test/tjbench.c: test/tjbench: fix minor issues

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* examples/cursors.c, examples/example.c, examples/fontsel.c,
	examples/repeater.c, examples/simple15.c, test/encodingstest.c: 
	examples: fix various logical mistakes

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* examples/backchannel.c, examples/camera.c,
	examples/colourmaptest.c, examples/cursors.c, examples/example.c,
	examples/filetransfer.c, examples/fontsel.c, examples/pnmshow.c,
	examples/pnmshow24.c, examples/repeater.c, examples/simple.c,
	examples/simple15.c, examples/vncev.c, examples/zippy.c: examples:
	use non-zero return code on error

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/rfbserver.c: libvncserver: rfbserver: init file size
	field

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/rfbregion.c, libvncserver/rfbserver.c: libvncserver:
	add missing NULL pointer checks

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/corre.c, libvncserver/hextile.c, libvncserver/rre.c: 
	libvncserver: encodings: prevent OOB accesses

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/cargs.c, libvncserver/cursor.c, libvncserver/font.c,
	libvncserver/main.c, libvncserver/rfbregion.c,
	libvncserver/rfbserver.c, libvncserver/selbox.c,
	libvncserver/tight.c, libvncserver/websockets.c: libvncserver:
	handle memory allocation failures

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* common/vncauth.c: common/vncauth: handle memory allocation failure

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncclient/rfbproto.c, libvncclient/sasl.c,
	libvncclient/vncviewer.c: libvncclient: handle memory allocation
	failures

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* examples/colourmaptest.c, examples/cursors.c, examples/example.c,
	examples/fontsel.c, examples/pnmshow.c, examples/repeater.c,
	examples/rotatetemplate.c, examples/simple15.c, examples/vncev.c: 
	examples: check for memory allocation failures

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncclient/hextile.c, libvncclient/rfbproto.c,
	libvncclient/vncviewer.c: libvncclient: fix missing/redundant
	initializations

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/ws_decode.c: libvncserver: ws_decode: eliminate
	duplicate code

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/rfbserver.c: libvncserver: rfbserver: drop duplicate
	assignment

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncserver/corre.c, libvncserver/rre.c: libvncserver: encodings:
	disable dead code

2020-05-27  Tobias Junghans <tobydox@veyon.io>

	* libvncclient/sasl.c: libvncclient: clean up unused labels

2020-05-27  Christian Beier <dontmind@freeshell.org>

	* README.md: README: simplify Android build instructions The PNG switch is not needed anymore.

2020-05-22  Christian Beier <dontmind@freeshell.org>

	* AUTHORS: AUTHORS: bring up to date

2020-05-22  Christian Beier <dontmind@freeshell.org>

	* AUTHORS: AUTHORS: reword some paragraphs to reflect community
	development

2020-05-22  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: add 0.9.13 release description

2020-05-19  Christian Beier <dontmind@freeshell.org>

	* libvncclient/rfbproto.c: libvncclient/rfbproto: only select TLS or
	VeNCrypt sectypes if supported by build Closes #410

2020-05-17  Christian Beier <dontmind@freeshell.org>

	* .gitignore: .gitignore: cleanup a bit

2020-05-17  Christian Beier <dontmind@freeshell.org>

	* .gitignore: .gitignore: add doxygen output dir

2020-05-17  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbserver.c: libvncserver/rfbserver: fix possible
	divide-by-zero Closes #409

2020-05-14  Christian Beier <dontmind@freeshell.org>

	* README.md: README: add CMake install instructions for various
	platforms Closes #407 Thanks gauravshremayee for the initial input!

2020-05-01  Gaurav Ujjwal <gujjwal00@gmail.com>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: Use correct
	type for return value.  ReadFromTLS & WriteToTLS returns value of
	type int. SSL_read & SSL_write also returns an int.

2020-05-01  Gaurav Ujjwal <gujjwal00@gmail.com>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: Remove
	unused macro.  This macro was introduced by
	https://github.com/LibVNC/libvncserver/pull/50 .  We are not using
	recursive mutex anymore so this can be removed.

2020-05-01  Gaurav Ujjwal <gujjwal00@gmail.com>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: Remove
	unused variables

2020-05-10  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: update w.r.t. mac example

2020-05-03  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: mention client TLS locking

2020-05-02  Christian Beier <dontmind@freeshell.org>

	* README.md: README: add supported encodings matrix

2020-05-02  Christian Beier <dontmind@freeshell.org>

	* README.md: README: condense security type tables into one

2020-05-02  Christian Beier <dontmind@freeshell.org>

	* README.md: README: add section about actual RFB support re #135, thanks @giox069 for the initial table

2020-04-30  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #405 from gujjwal00/openssl-refactor Use common mutex defines for OpenSSL backend

2020-04-30  Gaurav Ujjwal <gujjwal00@gmail.com>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: Remove
	duplicate include

2020-04-30  Gaurav Ujjwal <gujjwal00@gmail.com>

	* common/threading.h, libvncclient/tls_openssl.c: 
	libvncclient/tls_openssl: Use common mutex defines for OpenSSL
	backend.  It also defers locking callback cleanup so that it will be
	done by the OS when process exits.

2020-04-30  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #401 from gujjwal00/rw-mutex Add TLS R/W mutex to rfbClient

2020-04-29  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: mention Gitter

2020-04-29  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #404 from gitter-badger/gitter-badge README: add Gitter chat badge

2020-04-29  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: partial update for the upcoming 0.9.13 release

2020-04-29  Gaurav Ujjwal <gujjwal00@gmail.com>

	* libvncclient/tls_openssl.c: Replace global R/W mutex with the one
	from rfbClient

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.c: examples/mac: rename 'rfb'-prefixed symbols
	unrelated to LibVNCServer

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.c: examples/mac: comment globals

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.c: examples/mac: fix comment w.r.t input handlers

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.c: examples/mac: note work done in boilerplate
	comment

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.c: examples/mac: remove unneeded #includes and
	#undefs

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.c: examples/mac: move all globals to top of source
	file

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt: Revert "CMake: allow different source types for
	server examples" This reverts commit 73ee3903f2d81ecdd2216a59f33a03dc594c16e3.

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt, examples/{mac.m => mac.c}: Revert "examples:
	rename mac.c to mac.m" This reverts commit 1f19778b0f414f772b1c6cff90a9d20694d339e6.

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt, examples/mac.m: examples/mac: remove Cocoa linkage
	again, we don't need it

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: add mouse scroll, fix mouse button
	order

2020-04-26  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: fix keyboard handling to support
	different keyboard layouts

2020-04-25  Gaurav Ujjwal <gujjwal00@gmail.com>

	* rfb/rfbclient.h: Add TLS R/W mutex to rfbClient

2020-04-24  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #400 from veyon/read-timeout libvncclient: handle half-open TCP connections

2020-04-23  Christian Beier <dontmind@freeshell.org>

	* README.md: README: de-dup non-public contact info

2020-04-23  Christian Beier <dontmind@freeshell.org>

	* README.md: README: remove typo

2020-04-23  Christian Beier <dontmind@freeshell.org>

	* README.md: README: remove example explainer that's already in the
	API docs

2020-04-23  Christian Beier <dontmind@freeshell.org>

	* README.md: README: remove duplicate and partly obsolete API
	documentation ...and link the real API docs instead.

2020-04-23  Christian Beier <dontmind@freeshell.org>

	* README.md: README: move 'Basics' section to intro Rest is covered way better in the Wikipedia article.

2020-04-22  Christian Beier <dontmind@freeshell.org>

	* common/threading.h, rfb/rfb.h: libvncserver: move threading
	defines to common re #398

2020-04-15  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: check input permissions early ...and fail if not given instead of try-and-warn on input.  Very much less prone to user oversight this way.

2020-04-12  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: use library-provided viewonly
	functionality Also gets rid of a compiler warning.

2020-04-12  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: add multi-monitor support

2020-04-12  Christian Beier <dontmind@freeshell.org>

	* HISTORY.md, README.md: README: split out history section

2020-04-11  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: update comment about cursor handling

2020-04-11  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: fix a possible segfault due to a
	race condition

2020-04-11  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt, examples/mac.m: examples/mac: port to
	CGDisplayStream API ...yielding a massive performance improvement by: * only updating framebuffers on change * indicating which regions have changed, resulting in way less data
	to be sent ober the network

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: make sure LSP file copying happens on
	supported systems only

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: copy compile_commands.json to source root Works around https://github.com/bbatsov/projectile/issues/1513

2020-03-29  iordan iordanov <iiordanov@gmail.com>

	* libvncclient/vncviewer.c: libvncclient: search backward for port
	colon in order to support IPV6 addresses

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* TODO.md: TODO: update and link issues

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* TODO.md: TODO: remove obsolete items

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* TODO.md: TODO: markdown'ify

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* TODO => TODO.md: TODO: rename to TODO.md

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: make sure LSP file copying happens on
	supported systems only

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* README.md: README: move success stories to homepage

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: copy compile_commands.json to source root Works around https://github.com/bbatsov/projectile/issues/1513

2020-04-11  Christian Beier <dontmind@freeshell.org>

	* client_examples/vnc2mpg.c: client_examples/vnc2mpg: fix a
	deprecation warning

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* Doxyfile, README.md, examples/blooptest.c, examples/fontsel.c,
	examples/pnmshow24.c, examples/storepasswd.c: README: move
	explainers about examples into source files

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* README.md: README: remove obsolete Windows section

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* README.md: README: document novnc changes

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* .gitmodules, webclients/novnc,
	webclients/novnc/app/error-handler.js,
	webclients/novnc/app/images/alt.svg,
	webclients/novnc/app/images/clipboard.svg,
	webclients/novnc/app/images/connect.svg,
	webclients/novnc/app/images/ctrl.svg,
	webclients/novnc/app/images/ctrlaltdel.svg,
	webclients/novnc/app/images/disconnect.svg,
	webclients/novnc/app/images/drag.svg,
	webclients/novnc/app/images/error.svg,
	webclients/novnc/app/images/esc.svg,
	webclients/novnc/app/images/expander.svg,
	webclients/novnc/app/images/fullscreen.svg,
	webclients/novnc/app/images/handle.svg,
	webclients/novnc/app/images/handle_bg.svg,
	webclients/novnc/app/images/icons/Makefile,
	webclients/novnc/app/images/icons/novnc-icon-sm.svg,
	webclients/novnc/app/images/icons/novnc-icon.svg,
	webclients/novnc/app/images/info.svg,
	webclients/novnc/app/images/keyboard.svg,
	webclients/novnc/app/images/mouse_left.svg,
	webclients/novnc/app/images/mouse_middle.svg,
	webclients/novnc/app/images/mouse_none.svg,
	webclients/novnc/app/images/mouse_right.svg,
	webclients/novnc/app/images/power.svg,
	webclients/novnc/app/images/settings.svg,
	webclients/novnc/app/images/tab.svg,
	webclients/novnc/app/images/toggleextrakeys.svg,
	webclients/novnc/app/images/warning.svg,
	webclients/novnc/app/locale/de.json,
	webclients/novnc/app/locale/el.json,
	webclients/novnc/app/locale/es.json,
	webclients/novnc/app/locale/nl.json,
	webclients/novnc/app/locale/pl.json,
	webclients/novnc/app/locale/sv.json,
	webclients/novnc/app/locale/tr.json,
	webclients/novnc/app/locale/zh.json,
	webclients/novnc/app/localization.js,
	webclients/novnc/app/sounds/CREDITS,
	webclients/novnc/app/styles/base.css,
	webclients/novnc/app/styles/lite.css, webclients/novnc/app/ui.js,
	webclients/novnc/app/webutil.js, webclients/novnc/core/base64.js,
	webclients/novnc/core/des.js, webclients/novnc/core/display.js,
	webclients/novnc/core/encodings.js,
	webclients/novnc/core/inflator.js,
	webclients/novnc/core/input/domkeytable.js,
	webclients/novnc/core/input/fixedkeys.js,
	webclients/novnc/core/input/keyboard.js,
	webclients/novnc/core/input/keysym.js,
	webclients/novnc/core/input/keysymdef.js,
	webclients/novnc/core/input/mouse.js,
	webclients/novnc/core/input/util.js,
	webclients/novnc/core/input/vkeys.js,
	webclients/novnc/core/input/xtscancodes.js,
	webclients/novnc/core/rfb.js,
	webclients/novnc/core/util/browser.js,
	webclients/novnc/core/util/events.js,
	webclients/novnc/core/util/eventtarget.js,
	webclients/novnc/core/util/logging.js,
	webclients/novnc/core/util/polyfill.js,
	webclients/novnc/core/util/strings.js,
	webclients/novnc/core/websock.js,
	webclients/novnc/vendor/browser-es-module-loader/.npmignore,
	webclients/novnc/vendor/browser-es-module-loader/README.md,
	webclients/novnc/vendor/browser-es-module-loader/dist/babel-worker.
	js,
	webclients/novnc/vendor/browser-es-module-loader/dist/browser-es-mo
	dule-loader.js,
	webclients/novnc/vendor/browser-es-module-loader/dist/browser-es-mo
	dule-loader.js.map,
	webclients/novnc/vendor/browser-es-module-loader/rollup.config.js,
	webclients/novnc/vendor/browser-es-module-loader/src/babel-worker.j
	s,
	webclients/novnc/vendor/browser-es-module-loader/src/browser-es-mod
	ule-loader.js, webclients/novnc/vendor/pako/LICENSE,
	webclients/novnc/vendor/pako/README.md,
	webclients/novnc/vendor/pako/lib/utils/common.js,
	webclients/novnc/vendor/pako/lib/zlib/adler32.js,
	webclients/novnc/vendor/pako/lib/zlib/constants.js,
	webclients/novnc/vendor/pako/lib/zlib/crc32.js,
	webclients/novnc/vendor/pako/lib/zlib/deflate.js,
	webclients/novnc/vendor/pako/lib/zlib/gzheader.js,
	webclients/novnc/vendor/pako/lib/zlib/inffast.js,
	webclients/novnc/vendor/pako/lib/zlib/inflate.js,
	webclients/novnc/vendor/pako/lib/zlib/inftrees.js,
	webclients/novnc/vendor/pako/lib/zlib/messages.js,
	webclients/novnc/vendor/pako/lib/zlib/trees.js,
	webclients/novnc/vendor/pako/lib/zlib/zstream.js,
	webclients/novnc/vendor/promise.js,
	webclients/novnc/vendor/sinon.js, webclients/novnc/vnc.html: 
	webclients: include novnc 1.1.0 as a submodule instead of a verbatim
	copy

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* libvncclient/rfbproto.c: libvncclient/rfbproto: limit max textchat
	size Addresses GitHub Security Lab (GHSL) Vulnerability Report
	`GHSL-2020-063`.  Re #275

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: fix broken link

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: merge in the website's News section

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: fix indentation

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* NEWS.md: NEWS: markdown'ify

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* README.md: README: fix link to NEWS.md

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* NEWS => NEWS.md: NEWS: rename to NEWS.md

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* README.md: README: add all success stories from the website

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* libvncclient/sockets.c, rfb/rfbclient.h: libvncclient: document
	connect functions

2020-04-10  Christian Beier <dontmind@freeshell.org>

	* libvncclient/sockets.c, rfb/rfbclient.h: libvncclient: make
	SetBlocking() public ...to be in line with SetNonBlocking() being public.

2020-04-07  Christian Beier <dontmind@freeshell.org>

	* libvncserver/main.c: libvncserver: let rfbFreeCursor decide on
	cursor cleanup It has the logic to do this.  Closes #393

2020-04-07  Christian Beier <dontmind@freeshell.org>

	* .gitignore, CMakeLists.txt, test/cursortest.c =>
	examples/cursors.c: examples/cursors: move from 'test' and add to
	build system

2020-04-06  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: check for input permissions as well

2020-04-06  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: improve screen recording error
	message

2020-04-06  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: error out if screen recording
	permissions were not given

2020-04-05  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: enable framebuffer writes and reads
	at the same time ...by using double buffering. Before, a framebuffer refresh/write
	would have to wait for a send/read to finish. Now, we can start
	updating the framebuffer while a send of the previous frame is in
	progress.

2020-04-04  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: make frambuffer writes and reads
	mutually exclusive Fixes artifacts when moving windows around.

2020-04-04  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: do the VNC operations in background
	threads Also, define a target framerate and sleep for the rest of the frame
	time slot to not hog the CPU.  Fixes laggy input.  TODO: as the framebuffer is not locked during read/write, there are
	now artifacts to be seen when moving windows around.

2020-04-04  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt: CMake: declare that examples/mac needs threading

2020-04-02  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbserver.c: libvncserver/rfbserver: make two more
	socket checks cross-platform Closes #392

2020-03-29  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: do not query native display for
	pixel info We're not directly accessing the display framebuffer anymore but are
	using a self-defined copy instead, so this is totally fine to
	hardcode.  What's more, the API has been deprecated and made private, we're
	pretty lucky this worked anyway.

2020-03-29  Christian Beier <cb@shoutrlabs.com>

	* examples/mac.m: examples/mac: get framebuffer updates again on
	nowaday's MacOS This is still rather a POC, there's stuff left to do: * Replace deprecated API calls.  * It basically hogs one CPU even when idle. Fix that.  * (Hopefully)
	fix super laggy input by going multithreaded.  * Detect missing permissions to get screen contents and fake input
	  and tell user about it plus indicate what do to.

2020-03-28  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt, examples/mac.m: examples/mac: link and use Cocoa

2020-03-28  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt, examples/{mac.c => mac.m}: examples: rename mac.c
	to mac.m

2020-03-28  Christian Beier <cb@shoutrlabs.com>

	* CMakeLists.txt: CMake: allow different source types for server
	examples

2020-03-28  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #390 from gujjwal00/ssl-error-call-protection libvncclient/tls_openssl: move calls to `SSL_get_error` within mutex
	lock

2020-03-26  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #389 from gujjwal00/fix-tls-multithread-rw libvncclient: fix multithreaded read/write with TLS for OpenSSL.

2020-03-23  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #386 from iiordanov/master Fix for missing stdio.h include needed for iOS

2020-03-22  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: fix crosscompilation to iOS Closes #385

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* common/vncauth.c: common/vncauth: silence C4996 warnings from MSVC

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* common/vncauth.c: common/vncauth: add missing include for getpid()

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* common/turbojpeg.h: common/turbojpeg: silence C4996 warnings from
	MSVC

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* rfb/rfbclient.h: libvncclient: silence C4996 warnings from MSVC

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* libvncclient/sockets.c: libvncclient/sockets: remove unneeded code
	for MSVC

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* rfb/rfb.h: libvncserver: silence the C4996 warnings from MSVC

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbserver.c: libvncserver/rfbserver: fix a bunch of
	MSVC warnings

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* libvncclient/rfbproto.c: libvncclient/rfbproto: fix some MSVC
	warnings

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* libvncserver/stats.c: libvncserver/stats: fix a bunch of MSVC
	warnings

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* rfb/rfb.h: rfb/rfb.h: fix a warning for the win32 THREAD_JOIN

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* test/encodingstest.c: test/encodingstest: use cross-platform sleep

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #382 from LibVNC/3-windows-multithread Implement multithreading for win32

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt, test/encodingstest.c: test: port encodintstest to
	win32 threads

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: only set threading config if
	WITH_THREADS=ON Other find_package() calls (notably the one for SDL2) look for
	threads as well, setting the respective *_INIT vars, so make it more
	explicit to be able to disable threadings at build time.

2020-03-21  Christian Beier <dontmind@freeshell.org>

	* libvncserver/main.c, libvncserver/rfbserver.c,
	libvncserver/sockets.c, rfb/rfb.h: libvncserver: implement native
	win32 threading Closes #3

2020-03-18  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: add option for choosing if both win32 and
	pthreads are there This happens on MinGW and defaults to pthreads as in previous
	LibVNCServer versions.

2020-03-15  Volker Ruppert <vruppert@github.com>

	* libvncserver/main.c, libvncserver/rfbserver.c, rfb/rfb.h: 
	libvncserver: add mutex support for win32 using Critical Sections

2020-03-14  Christian Beier <dontmind@freeshell.org>

	* examples/example.c: examples: let blooptest use win32 threads as
	well

2020-03-14  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: build blooptest example for win32 threads
	as well

2020-03-14  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt, rfb/rfbconfig.h.cmakein: CMake: detect native
	win32 threads

2020-03-12  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: build the mac example re #217

2020-03-12  Christian Beier <dontmind@freeshell.org>

	* .appveyor.yml: AppVeyorCI: fix cyrus-sasl download link

2020-03-12  Christian Beier <dontmind@freeshell.org>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: fix anonTLS
	connection setup ...for OpenSSL 1.0.2, LibreSSL and OpenSSL 1.1.x Thanks go to Gaurav Ujjwal who did the groundwork finding out the
	root cause ADH cipher.  Closes #347

2020-03-11  Christian Beier <dontmind@freeshell.org>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: fix building
	with LibreSSL

2020-03-10  Tobias Junghans <tobydox@veyon.io>

	* libvncclient/rfbproto.c, libvncclient/sockets.c,
	libvncclient/vncviewer.c, rfb/rfbclient.h: LibVNCClient: add connect
	timeout support Depending on the platform and the TCP/IP stack configuration
	connect() can block for a very long time if the destination host is
	unreachable.  The current behaviour blocks VNC client loops for an
	uncertain amount of time. However some applications may want to
	implement responsive VNC client threads requiring rfbInitClient() to
	time out more quickly. This can be achieved by calling connect() on
	a non-blocking socket and select() with a timeout afterwards. The
	new WaitForConnected() function deals with the platform-specific
	behaviour of this mechanism.

2020-03-08  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #380 from ffontaine/master CMake: don't build tight.c without png or zlib

2020-03-07  Christian Beier <dontmind@freeshell.org>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: fix
	connection setup with OpenSSL 1.1.x Connecting to some servers, e.g. vino 3.22, fails with OpenSSL 1.1.x
	when this compatibility setting is not applied, probably because
	something deemed insecure in the default level 1 is getting used.  See

	https://www.openssl.org/docs/man1.1.0/man3/SSL_set_security_level.htmlre #347

2020-03-07  Christian Beier <dontmind@freeshell.org>

	* CMakeLists.txt: CMake: add gtkvncviewer client example to the
	build system

2020-03-06  Christian Beier <dontmind@freeshell.org>

	* libvncclient/tls_openssl.c: libvncclient/tls_openssl: do not deref
	a NULL pointer Happens in anonTLS mode where cred is NULL.  re #347

2020-03-04  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #379 from kalvdans/dont-print-garbage libvncserver/sockets: don't print an uninitialized string

2020-03-03  Christian Beier <dontmind@freeshell.org>

	* README.md: README: highlight code a la markdown

2020-03-03  Christian Beier <dontmind@freeshell.org>

	* README.md: README: mention that one needs mingw-w64 for
	crosscompiling Closes #378

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbssl_openssl.c: libvncserver/rfbssl_openssl: make
	it work w/ OpenSSL 1.0.2g as well

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbssl_openssl.c: libvncserver/rfbssl_openssl: fix
	OpenSSL-encrypted Websockets

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbssl_gnutls.c: libvncserver/rfbssl_gnutls: move
	priority setting up Fixes a GnuTLS parse error with the old code.  re #68

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #268 from
	rgacogne/fix-logical-not-parentheses LibVNCServer: Fix 'logical not is only applied to the..' warnings

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* webclients/index.vnc: webclients/index.vnc: add button to connect
	noVNC encrypted

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* libvncserver/rfbssl_gnutls.c: libvncserver/rfbssl_gnutls: fix
	failing GnuTLS init The error was 'No or insufficient priorities were set.', causing
	session setup to fail.

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* TODO, webclients/index.vnc,
	webclients/java-applet/javaviewer.pseudo_proxy.patch,
	webclients/java-applet/ssl/README,
	webclients/java-applet/ssl/index.vnc,
	webclients/java-applet/ssl/onetimekey,
	webclients/java-applet/ssl/proxy.vnc,
	webclients/java-applet/ssl/ss_vncviewer,
	webclients/java-applet/ssl/tightvnc-1.3dev7_javasrc-vncviewer-curso
	r-colors+no-tab-traversal.patch,
	webclients/java-applet/ssl/tightvnc-1.3dev7_javasrc-vncviewer-ssl.p
	atch, webclients/java-applet/ssl/ultra.vnc,
	webclients/java-applet/ssl/ultraproxy.vnc,
	webclients/java-applet/ssl/ultrasigned.vnc,
	webclients/java-applet/ssl/ultravnc-102-JavaViewer-ssl-etc.patch: 
	webclients: remove the Java applet, NPAPI is long deprecated in
	browsers

2020-03-01  Christian Beier <dontmind@freeshell.org>

	* README.md: README: fix websockets instructions

2020-02-28  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #377 from ffontaine/master libvnc{client,server}.pc.cmakein: remove zlib

2020-02-16  Christian Beier <dontmind@freeshell.org>

	* examples/repeater.c: examples: write to socket in a way that's
	also usable on win32

2020-02-16  Christian Beier <dontmind@freeshell.org>

	* libvncclient/tls_gnutls.c, libvncclient/tls_openssl.c: 
	libvncclient: remove superfluous check in ReadVeNCryptSecurityType As count is a U8 in the RFB spec, it can never exceed tAuth[256].  Also, the check used sizeof() wrong, it did not take into account
	that sizeof() is returning the size in bytes.  Closes #333

2020-02-14  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #375 from veyon/fix-readbuf-signedness rfbserver: make readBuf in rfbSendFileTransferChunk a signed char
	array

2020-02-12  Christian Beier <dontmind@freeshell.org>

	* : Merge pull request #374 from veyon/fix-headers Fix some headers for MingGW compilation

2020-02-11  Tobias Junghans <tobydox@veyon.io>
